{ fetchFromGitHub, linuxManualConfig, runCommand, linux-firmware, gcc8Stdenv, ... }:
(linuxManualConfig rec {
  src = fetchFromGitHub {
    owner = "Nomkid";
    repo = "ps4-linux-nixos";
    rev = "refs/heads/aeolia";
    hash = "sha256-Gdf6pBWD885ZXUuswSQQZQgpNp1t5dn6rHs0p2DqKcw=";
  };
	
  version = "5.3.18-PS4";
  modDirVersion = "5.3.18";

	configfile = runCommand "concat-config" {} ''
		cat "${src}/config" > $out
		echo "CONFIG_EXTRA_FIRMWARE_DIR=\"${linux-firmware}/lib/firmware\"" >> $out
	'';
  allowImportFromDerivation = true;
# }).override {
# 	stdenv = gcc8Stdenv;
}).overrideAttrs {
	NIX_CFLAGS_COMPILE = "-Wno-redundant-decls -Wno-use-after-free";
}
